> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Role Route



## OpenAPI

````yaml /api/openapi.json get /api/roles/{role_id}
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/roles/{role_id}:
    get:
      tags:
        - roles
      summary: Get Role Route
      operationId: get_role_route_api_roles__role_id__get
      parameters:
        - name: role_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Role Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoleDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RoleDetail:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        is_builtin:
          type: boolean
          title: Is Builtin
        description:
          type: string
          title: Description
        permissions:
          items:
            $ref: '#/components/schemas/PermissionOut'
          type: array
          title: Permissions
      type: object
      required:
        - id
        - name
        - is_builtin
        - description
        - permissions
      title: RoleDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PermissionOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        verb:
          type: string
          title: Verb
        resource_glob:
          type: string
          title: Resource Glob
      type: object
      required:
        - id
        - verb
        - resource_glob
      title: PermissionOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````